Retry Indexing for Website Pages
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"uniqueIds": [
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1",
"550e8400-e29b-41d4-a716-446655440003"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync"
payload = { "uniqueIds": ["fb45bb1e-bc81-45a8-85be-36b2aa4f289e", "c2847dcd-636c-4e7a-9217-593ccf2a7bb1", "550e8400-e29b-41d4-a716-446655440003"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uniqueIds: [
'fb45bb1e-bc81-45a8-85be-36b2aa4f289e',
'c2847dcd-636c-4e7a-9217-593ccf2a7bb1',
'550e8400-e29b-41d4-a716-446655440003'
]
})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Sync processing initiated successfully",
"data": {
"batchId": "sync-batch-1701789123456",
"urlsProcessed": 2,
"totalRequested": 3,
"excludedUrls": 1,
"webhookUrl": "https://webhook.site/b4994000-62d9-4e17-928f-790282cb5815",
"status": "processing",
"processedUrls": [
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
]
}
}Knowledge Base
Retry Indexing for Website Pages
Retries the indexing process for specific pages under a website knowledge base source. Pass the unique IDs of the pages to re-index, or send an empty array to automatically retry all pages that failed
PATCH
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
/
sync
Retry Indexing for Website Pages
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Parent website crawl unique ID
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
Array of discovered URL unique IDs to sync. Only non-excluded URLs will be processed.
Array of unique IDs to sync for batch processing
Example:
["url-id-1", "url-id-2", "url-id-3"]
Was this page helpful?
⌘I